## mozjs128 128.9.0

=== testing/web-platform/tests/tools/wptrunner/requirements.txt ===
html5lib==1.1
mozdebug==0.3.1
mozinfo==1.2.3  # https://bugzilla.mozilla.org/show_bug.cgi?id=1621226
mozlog==8.0.0
mozprocess==1.3.1
packaging==24.0
pillow==10.3.0
requests==2.31.0
six==1.16.0
urllib3==2.2.1
aioquic==0.9.21
