## mozjs128 128.3.0

=== debian/changelog ===
mozjs128 (128.3.0-1) unstable; urgency=high

  * New upstream release (LP: #2083344)
    - CVE-2024-9396 Potential memory corruption when cloning certain objects
    - CVE-2024-9400 Potential memory corruption during JIT compilation
    - CVE-2024-9402 Memory safety bugs
  * Remove libatomic patch applied in new release
  * Revert "Add -latomic to LDFLAGS to try to fix armel build"

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 01 Oct 2024 11:46:49 -0400

mozjs128 (128.2.0-1) unstable; urgency=high

  [ Jeremy Bícha ]
  * New upstream release
    - CVE-2024-8381 Type confusion when looking up property names
    - CVE-2024-8382 Internal event interfaces exposed to web content
    - CVE-2024-8384 Garbage collection could mis-color cross-compartment objects
    - CVE-2024-8385 WASM type confusion involving ArrayTypes
    - CVE-2024-8387 Memory safety bugs

  [ Simon McVittie ]
  * Add patch to fix detection of architectures that require -latomic
    (Closes: #1079077)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 04 Sep 2024 09:51:21 -0400

mozjs128 (128.1.0-3) unstable; urgency=medium

  * Add -latomic to LDFLAGS to try to fix armel build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 16 Aug 2024 17:02:03 -0400

mozjs128 (128.1.0-2) unstable; urgency=medium

  * Fix autopkgtest

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 14 Aug 2024 22:38:35 -0400

mozjs128 (128.1.0-1) unstable; urgency=medium

  * New upstream release
  * Remove 12 patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 14 Aug 2024 07:04:31 -0400

mozjs128 (128.0-2) unstable; urgency=medium

  * New upstream series (Closes: #1076037)
  * Add Build-Depends: cbindgen
  * Refresh patches
  * Drop 5 patches that are no longer needed
  * Cherry-pick 12 patches from future 128.1.0 to fix various issues
  * debian/rules: Set MOZBUILD_STATE_PATH
  * debian/test.sh: Remove reference to no-longer-provided run-mozilla.sh

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 31 Jul 2024 19:38:33 -0400

mozjs115 (115.13.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Jul 2024 15:35:34 -0400

mozjs115 (115.12.0-1) unstable; urgency=high

  * New upstream release
    - CVE-2024-5688 Use-after-free in JavaScript object transplant
    - CVE-2024-5700 Memory safety bugs

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 11 Jun 2024 14:34:32 -0400

mozjs115 (115.11.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 14 May 2024 18:32:36 +0200

mozjs115 (115.10.0-1) unstable; urgency=high

  * New upstream release (LP: #2061860)
    - CVE-2024-3852: GetBoundName in the JIT returned the wrong object
    - CVE-2024-3854: Out-of-bounds-read after mis-optimized switch statement
    - CVE-2024-3857: Incorrect JITting of arguments led to use-after-free
      during garbage collection

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 16 Apr 2024 07:52:09 -0400

mozjs115 (115.9.0-1) unstable; urgency=high

  * New upstream release
    - CVE-2024-2607: JIT code failed to save return registers on Armv7-A

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Mar 2024 11:47:42 -0400

mozjs115 (115.8.0-3) unstable; urgency=medium

  * Build-depend on dpkg-dev (>= 1.22.5) (Closes: #1065286)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 02 Mar 2024 18:02:34 -0500

mozjs115 (115.8.0-2) unstable; urgency=medium

  * Release to unstable (Closes: #1046520)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Feb 2024 21:59:28 -0500

mozjs115 (115.8.0-2~exp1) experimental; urgency=medium

  [ Steve Langasek ]
  * Rename libraries for 64-bit time_t transition

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 19 Feb 2024 17:39:30 -0500

mozjs115 (115.8.0-1) unstable; urgency=medium

  * New upstream release
    - CVE-2024-1553: Memory safety bug
  * Drop 3 patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 19 Feb 2024 17:36:52 -0500

mozjs115 (115.7.0-4) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * d/p/python3.12-six.patch:
    Rediff patch so quilt, dpkg-source and gbp pq agree on its effect

  [ Amin Bandali ]
  * Cherry-pick more upstream patches to fix build with Python 3.12
    - debian/patches/python3.12-bug1831512.patch
    - debian/patches/python3.12-bug1857516.patch
    - debian/patches/python3.12-bug1860051.patch
    - debian/patches/python3.12-bug1874280.patch
    - debian/patches/python3.12-bug1851580.patch
    - debian/patches/python3.12-bug1866829.patch

 -- Amin Bandali <bandali@ubuntu.com>  Fri, 16 Feb 2024 11:28:22 -0500

mozjs115 (115.7.0-3) unstable; urgency=medium

  * Team upload
  * d/p/Export-js-detail-CanonicalizedNaNBits-on-architectures-th.patch:
    Add a patch to fix linking of gjs (>= 1.78.3) on mips64el
    (Closes: #1063446)
  * d/tests/dev: Add a superficial autopkgtest.
    In addition to exercising basic compilation and initialization,
    this verifies that #1063446 has been fixed.

 -- Simon McVittie <smcv@debian.org>  Thu, 08 Feb 2024 14:40:52 +0000

mozjs115 (115.7.0-2) unstable; urgency=medium

  * Cherry-pick patch to fix build with Python 3.12

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 24 Jan 2024 08:51:19 -0500

mozjs115 (115.7.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 23 Jan 2024 08:36:55 -0500

mozjs115 (115.6.0-1) unstable; urgency=high

  * New upstream release
    - CVE-2023-6864: Memory safety bug

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 02 Jan 2024 15:48:13 -0500

mozjs115 (115.5.0-1) unstable; urgency=medium

  * New upstream release
  * Stop using debian/control.in and gnome-pkg-tools (no translations here)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 21 Nov 2023 12:43:37 -0500

mozjs115 (115.4.0-2) unstable; urgency=high

  * Add patch to fix the non-JIT armel build
  * Adjust patch to update expected armel failures for 115

 -- Adrian Bunk <bunk@debian.org>  Wed, 25 Oct 2023 19:32:07 -0400

mozjs115 (115.4.0-1) unstable; urgency=medium

