## mozjs128 128.4.0

=== debian/changelog ===
mozjs128 (128.4.0-2) unstable; urgency=medium

  * Team upload
  * d/p/js-src-tests-Avoid-using-legacy-MST-time-zone-name.patch:
    Add proposed patch to fix a test failure without tzdata-legacy
    installed (Closes: #1086298)

 -- Simon McVittie <smcv@debian.org>  Wed, 30 Oct 2024 10:01:18 +0000

mozjs128 (128.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 29 Oct 2024 17:22:22 +0100
