## mozjs128 128.5.0

=== debian/changelog ===
mozjs128 (128.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 26 Nov 2024 15:33:47 -0500

mozjs128 (128.4.0-4) unstable; urgency=medium

  * Team upload
  * d/p/Bug-1926140-Replace-pipes-imports-r-jmaher.patch,
    d/p/Bug-1925198-Move-telnetlib-import-to-BaseEmulator-r-jmahe.patch:
    Add patches from mozilla-central partially fixing build with
    python3.13 as default (Helps: #1084616)
  * d/control, d/rules, d/clean: Use python3-legacy-cgi for tests,
    replacing the standard library module that is no longer included
    in python3.13.
    Because of the Mozilla build system's use of virtualenv, python3.13
    doesn't seem to pick it up from /usr/lib/python3/dist-packages,
    so create a debian/site-packages/ with cgi.py and put that in the
    PYTHONPATH. (Closes: #1084616)

 -- Simon McVittie <smcv@debian.org>  Sat, 16 Nov 2024 16:59:31 +0000

mozjs128 (128.4.0-3) unstable; urgency=medium

  * Team upload
  * Install js128, js128-config to non-PATH locations.
    They aren't multi-arch co-installable if installed to /usr/bin,
    and the only package that build-depends on libmozjs-128-dev (gjs)
    doesn't actually use them anyway.
  * Install headers to a multiarch-friendly location.
    The headers contain facts about the host system (in js-config.h)
    so are not architecture-independent.
  * Mark libmozjs-128-dev as Multi-Arch: same.
    This will allow libgjs-dev to be usefully Multi-Arch: same, too.

 -- Simon McVittie <smcv@debian.org>  Wed, 06 Nov 2024 11:25:43 +0000
