## mozjs128 128.6.0

=== debian/changelog ===
mozjs128 (128.6.0-1) unstable; urgency=high

  * New upstream release
    - CVE-2025-0240: Compartment mismatch when parsing JavaScript JSON module
    - CVE-2025-0241: Memory corruption when using JavaScript Text Segmentation

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 08 Jan 2025 08:29:17 -0900
