=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
                pkgconf,
                pkg-kde-tools,
                python3-dev,
+               python3-legacy-cgi,
                rustc (>= 1.41),
                tzdata,
                zip
@@ -42,6 +43,7 @@
 
 Package: libmozjs-128-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libmozjs-128-0 (= ${binary:Version}),
          ${misc:Depends},
