=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,7 @@
 # like zsh
 export SHELL = /bin/sh
 export PYTHON3 = python3
+export PYTHONPATH=$(CURDIR)/debian/site-packages
 export MOZBUILD_STATE_PATH = $(CURDIR)/debian/.mozbuild
 # Please tell us what you're thinking...
 export MOZ_CONFIGURE_TRACE = yes
@@ -137,6 +138,8 @@
 endif
 
 override_dh_auto_configure:
+	mkdir -p $(CURDIR)/debian/site-packages
+	ln -fns /usr/lib/python3/dist-packages/cgi* $(CURDIR)/debian/site-packages/
 	mkdir -p $(BUILDDIR)/dist/cppunittests
 	cd $(BUILDDIR); \
 	if env \
@@ -148,6 +151,7 @@
 		--host=$(DEB_BUILD_GNU_TYPE) \
 		--target=$(DEB_HOST_GNU_TYPE) \
 		--prefix=/usr \
+		--includedir=/usr/include/${DEB_HOST_MULTIARCH} \
 		--libdir=/usr/lib/${DEB_HOST_MULTIARCH}/ \
 		--with-system-zlib \
 		--disable-strip \
