## mozjs128 128.7.0

=== debian/changelog ===
mozjs128 (128.7.0-1) unstable; urgency=high

  [ Jeremy Bícha ]
  * New upstream release
    - CVE-2025-11704 Potential double-free in PKCS#7 decryption handling

  [ Simon McVittie ]
  * Build-Depend on rustc 1.76.0, as per python/mozboot/mozboot/util.py
    (Closes: #1092630)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Feb 2025 18:31:04 -0500
