## mozjs128 128.8.0

=== debian/changelog ===
mozjs128 (128.8.0-1) unstable; urgency=high

  * New upstream release
    - CVE-2025-1933 JIT corruption of WASM i386 return value on 64-bit CPUs
    - CVE-2025-1934 Unexpected GC during RegExp bailout processing
    - CVE-2025-1936 Adding %00 and a fake extension changed interpretation
    - CVE-2025-1937 Memory safety bugs

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 03 Mar 2025 13:57:32 -0500
