## mozjs128 128.9.0

=== debian/changelog ===
mozjs128 (128.9.0-1) unstable; urgency=high

  * New upstream release (LP: #2105631)
    - CVE-2025-3028 Use-after-free triggered by XSLTProcessor
    - CVE-2025-3029 URL bar spoofing via non-BMP Unicode characters
    - CVE-2025-3030 Memory safety bugs

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 31 Mar 2025 12:49:25 -0400
