=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                pkg-kde-tools,
                python3-dev,
                python3-legacy-cgi,
-               rustc (>= 1.41),
+               rustc (>= 1.76.0),
                tzdata,
                zip
 Rules-Requires-Root: no
