## mozjs128 128.11.0

=== debian/changelog ===
mozjs128 (128.11.0-1) unstable; urgency=high

  * New upstream release
    - CVE-2025-5263: Error handling for script execution was incorrectly isolated
      from web content
  * Update debian/upstream/signing-key.asc per upstream rotation

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 May 2025 09:34:04 -0400

mozjs128 (128.10.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 30 Apr 2025 08:13:03 -0400
