## mozjs128 128.13.0

=== debian/changelog ===
mozjs128 (128.13.0-1) unstable; urgency=high

  * New upstream release
    - CVE-2025-8027: JavaScript engine only wrote partial return value to stack
    - CVE-2025-8028: Large branch table could lead to truncated instruction
    - CVE-2025-8033: Incorrect JavaScript state machine for generators

 -- Jeremy Bícha <jeremy@ubuntu.com>  Fri, 25 Jul 2025 10:01:16 +0200
